# Get Funding Amount Report File

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Derivatives", href: "/trading/rest-api/derivatives" },
    { label: "Get Funding Amount Report File" },
  ]}
  title="Get Funding Amount Report File"
  method="GET"
  url="https://api.gemini.com/v1/fundingamountreport/records.xlsx"
  description="Downloads a funding amount report as an Excel or CSV file for the specified perpetuals symbol and date range."
  example={{
    request: {
      method: "GET",
      url: "https://api.gemini.com/v1/fundingamountreport/records.xlsx?symbol=BTCGUSDPERP&fromDate=2024-04-10&toDate=2024-04-25&numRows=1000",
      headers: [],
    },
  }}
  sections={[
    {
      heading: "Examples",
      children: (
        <ul style={{ margin: 0, paddingLeft: "1.25rem" }}>
          <li><code>symbol=BTCGUSDPERP&fromDate=2024-04-10&toDate=2024-04-25&numRows=1000</code> — returns the lesser of the date-range record count and <code>numRows</code>.</li>
          <li><code>symbol=BTCGUSDPERP&fromDate=2024-04-10&toDate=2024-04-25</code> — returns all records in the date range.</li>
          <li><code>symbol=BTCGUSDPERP&numRows=1000</code> — returns up to 1000 records starting from now.</li>
          <li><code>symbol=BTCGUSDPERP</code> — returns the default maximum of 8760 records starting from now.</li>
        </ul>
      ),
    },
    {
      heading: "Query Parameters",
      children: <SpecQueryParams operationId="getFundingAmountReportFile" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getFundingAmountReportFile" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Funding Amount", href: "/trading/rest-api/derivatives/get-funding-amount" }}
  next={{ label: "List Funding Payments", href: "/trading/rest-api/derivatives/list-funding-payments" }}
/>
